# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'interfactura/ruby/version'

Gem::Specification.new do |spec|
  spec.name          = "interfactura-ruby"
  spec.version       = Interfactura::Ruby::VERSION
  spec.authors       = ["Icalia Labs"]
  spec.email         = ["weare@icalialabs.com"]

  spec.summary       = %q{ A Ruby SDK to connect to Interfactura Web Services }
  spec.description   = %q{ A Ruby SDK to interact with the Interfactura Web Services }
  spec.homepage      = "https://github.com/IcaliaLabs/interfactura-ruby"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end

  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "nokogiri-happymapper", "~> 0.5"
  spec.add_dependency "savon", "~> 2.11"
  spec.add_dependency "pry", "~> 0.10"

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
